OpenMesh: OpenMesh::Kernel_OSG::FP::GeoIndicesUI32< IsTriMesh > Class Template Reference

| OpenMesh

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
OpenMesh::Kernel_OSG::FP::GeoIndicesUI32< IsTriMesh > Class Template Reference

Adaptor for osg::GeoIndicesUI32. More...

`#include <OpenMesh/Tools/Kernel_OSG/PropertyT.hh>`

Inheritance diagram for OpenMesh::Kernel_OSG::FP::GeoIndicesUI32< IsTriMesh >:
[legend]
Collaboration diagram for OpenMesh::Kernel_OSG::FP::GeoIndicesUI32< IsTriMesh >:
[legend]

## Public Types
typedef _GeoIndicesUI32 | inherited_t
typedef inherited_t::property_ptr_t | property_ptr_t
Public Types inherited from OpenMesh::Kernel_OSG::oPropertyT< GeoProperty >
typedef GeoProperty | property_t
typedef property_t::PtrType | property_ptr_t
typedef property_t::StoredFieldType | field_t
typedef field_t::StoredType | element_t
typedef field_t::StoredType | value_type

## Public Member Functions
| GeoIndicesUI32 (property_ptr_t _geo_prop, GeoPTypesUI8 &_types, GeoPLengthsUI32 &_lengths)
| GeoIndicesUI32 (GeoPTypesUI8 &_types, GeoPLengthsUI32 &_lengths)
void | swap (size_t _i0, size_t _i1)
| Let two elements swap their storage place.
virtual void | reserve (size_t _n)
| Reserve memory for n elements.
virtual void | resize (size_t _n)
| Resize storage to hold n elements.
Public Member Functions inherited from OpenMesh::Kernel_OSG::oPropertyT< GeoProperty >
| oPropertyT (property_ptr_t _geo_prop, const std::string &_name="<unknown>")
| oPropertyT (const std::string &_name="<unknown>")
oPropertyT & | operator= (const oPropertyT &_rhs)
virtual void | push_back ()
| Extend the number of elements by one.
virtual oPropertyT< property_t > * | clone () const
| Return a deep copy of self.
virtual void | set_persistent (bool _yn)
| Enable or disable persistency. More...
virtual size_t | n_elements () const
| Number of elements in property.
virtual size_t | element_size () const
| Size of one element in bytes or UnknownSize if not known.
virtual size_t | store (std::ostream &_ostr, bool _swap) const
| Store self as one binary block.
virtual size_t | restore (std::istream &_istr, bool _swap)
| Restore self from a binary block. More...
void | clear (void)
| Clear all elements and free memory.
property_ptr_t & | osg_ptr ()
const property_ptr_t & | osg_ptr () const
const element_t * | data () const
element_t & | operator[] (size_t idx)
const element_t & | operator[] (size_t idx) const
Public Member Functions inherited from OpenMesh::BaseProperty
| BaseProperty (const std::string &_name="<unknown>", const std::string &_internal_type_name="<unknown>")
| Default constructor. More...
| BaseProperty (const BaseProperty &_rhs)
| Copy constructor.
virtual | ~BaseProperty ()
| Destructor.
virtual void | copy (size_t _io, size_t _i1)=0
| Copy one element to another.
const std::string & | name () const
| Return the name of the property.
const std::string & | internal_type_name () const
| Return internal type name of the property for type safe casting alternative to runtime information.
virtual void | stats (std::ostream &_ostr) const
bool | persistent (void) const
| Returns true if the persistent flag is enabled else false.
virtual std::string | get_storage_name () const =0
| returns a unique string for the type of the elements
virtual size_t | size_of () const
| Return size of property in bytes.
virtual size_t | size_of (size_t _n_elem) const
| Estimated size of property if it has _n_elem elements. More...

## Protected Member Functions
void | _swap (size_t _i0, size_t _i1, GenProg::False)
void | _swap (size_t _i0, size_t _i1, GenProg::True)
virtual void | _reserve (size_t _n, GenProg::True)
virtual void | _reserve (size_t _n, GenProg::False)
virtual void | _resize (size_t _n, GenProg::True)
virtual void | _resize (size_t _n, GenProg::False)
Protected Member Functions inherited from OpenMesh::BaseProperty
template<typename T >
void | check_and_set_persistent (bool _yn)

## Protected Attributes
GeoPTypesUI8 & | types_
GeoPLengthsUI32 & | length_
Protected Attributes inherited from OpenMesh::Kernel_OSG::oPropertyT< GeoProperty >
property_ptr_t | data_

## Additional Inherited Members
Static Public Attributes inherited from OpenMesh::BaseProperty
static const size_t | UnknownSize = size_t(-1)
| Indicates an error when a size is returned by a member.

## Detailed Description

### template<typename IsTriMesh>
class OpenMesh::Kernel_OSG::FP::GeoIndicesUI32< IsTriMesh >

Adaptor for osg::GeoIndicesUI32.

The documentation for this class was generated from the following file:

- OpenMesh/Tools/Kernel_OSG/PropertyT.hh